View Issue Details

IDProjectCategoryView StatusLast Update
0001318SOGoWeb Calendarpublic2011-07-05 10:00
Reporteranaribas Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.7 
Target Version1.3.8Fixed in Version1.3.8 
Summary0001318: reschedule meeting problem
Description

When someone receive a mail with a re-schedule meeting and accept the new date/time, the event doesn't change in the calendar.

Additional Information

The problem happens at least with meetings created in Thunderbird or with the webmail Horde.

TagsNo tags attached.

Activities

ludovic

ludovic

2011-05-25 08:20

administrator   ~0002501

Provide sample ICS.

Original meeting + re-scheduled meeting as received by email.

2011-05-26 04:54

 

horde-event-invitation.ics (606 bytes)   
BEGIN:VCALENDAR
VERSION:2.0
METHOD:REQUEST
X-WR-CALNAME:daniel.beneyto's Calendar
PRODID:-//The Horde Project//Horde_iCalendar Library\, Horde 3.3.5//EN
BEGIN:VEVENT
DTSTART:20110524T080000Z
DTEND:20110524T090000Z
DTSTAMP:20110524T134039Z
UID:20110524154039.21394q8kev12zq6v@k2pim.upcnet.es
CREATED:20110524T134039Z
LAST-MODIFIED:20110524T134039Z
SUMMARY:PROVA ANA
ORGANIZER;CN=daniel.beneyto:mailto:daniel.beneyto@upcnet.es
CLASS:PUBLIC
STATUS:CONFIRMED
TRANSP:OPAQUE
ATTENDEE;ROLE=REQ-PARTICIPANT;PARTSTAT=NEEDS-ACTION;RSVP=TRUE:mailto:ana.ri
 bas@upcnet.es
END:VEVENT
END:VCALENDAR
horde-event-invitation.ics (606 bytes)   

2011-05-26 04:54

 

reschedule- horde-event-invitation.ics (639 bytes)   
BEGIN:VCALENDAR
VERSION:2.0
METHOD:REQUEST
X-WR-CALNAME:daniel.beneyto's Calendar
PRODID:-//The Horde Project//Horde_iCalendar Library\, Horde 3.3.5//EN
BEGIN:VEVENT
DTSTART:20110525T080000Z
DTEND:20110525T090000Z
DTSTAMP:20110524T134140Z
UID:20110524154039.21394q8kev12zq6v@k2pim.upcnet.es
CREATED:20110524T134039Z
LAST-MODIFIED:20110524T134140Z
SUMMARY:PROVA ANA
ORGANIZER;CN=daniel.beneyto:mailto:daniel.beneyto@upcnet.es
DESCRIPTION:Harrrr --- correcio
CLASS:PUBLIC
STATUS:CONFIRMED
TRANSP:OPAQUE
ATTENDEE;ROLE=REQ-PARTICIPANT;PARTSTAT=NEEDS-ACTION;RSVP=TRUE:mailto:ana.ri
 bas@upcnet.es
END:VEVENT
END:VCALENDAR

2011-05-26 04:55

 

lightning-invite.ics (969 bytes)   
BEGIN:VCALENDAR
PRODID:-//Mozilla.org/NONSGML Mozilla Calendar V1.1//EN
VERSION:2.0
METHOD:REQUEST
BEGIN:VTIMEZONE
TZID:Europe/Madrid
X-LIC-LOCATION:Europe/Madrid
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
TZNAME:CEST
DTSTART:19700329T020000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
TZNAME:CET
DTSTART:19701025T030000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
CREATED:20110525T064239Z
LAST-MODIFIED:20110525T064323Z
DTSTAMP:20110525T064323Z
UID:84133ad6-1fbe-4e22-a85f-f4a13ff24133
SUMMARY:Nova cita
ORGANIZER;RSVP=TRUE;CN=Usuari Ana Draconis;PARTSTAT=ACCEPTED;ROLE=CHAIR:ma
 ilto:usuari.ana@draconis.upc.es
ATTENDEE;RSVP=TRUE;PARTSTAT=NEEDS-ACTION;ROLE=REQ-PARTICIPANT:mailto:ana.r
 ibas@upcnet.es
DTSTART;TZID=Europe/Madrid:20110525T093000
DTEND;TZID=Europe/Madrid:20110525T103000
TRANSP:OPAQUE
END:VEVENT
END:VCALENDAR

lightning-invite.ics (969 bytes)   

2011-05-26 04:55

 

reschedule-lightning-invite.ics (981 bytes)   
BEGIN:VCALENDAR
PRODID:-//Mozilla.org/NONSGML Mozilla Calendar V1.1//EN
VERSION:2.0
METHOD:REQUEST
BEGIN:VTIMEZONE
TZID:Europe/Madrid
X-LIC-LOCATION:Europe/Madrid
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
TZNAME:CEST
DTSTART:19700329T020000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
TZNAME:CET
DTSTART:19701025T030000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
CREATED:20110525T064239Z
LAST-MODIFIED:20110525T065553Z
DTSTAMP:20110525T065553Z
UID:84133ad6-1fbe-4e22-a85f-f4a13ff24133
SUMMARY:Nova cita
ORGANIZER;RSVP=TRUE;CN=Usuari Ana Draconis;PARTSTAT=ACCEPTED;ROLE=CHAIR:ma
 ilto:usuari.ana@draconis.upc.es
ATTENDEE;RSVP=TRUE;PARTSTAT=NEEDS-ACTION;ROLE=REQ-PARTICIPANT:mailto:ana.r
 ibas@upcnet.es
DTSTART;TZID=Europe/Madrid:20110525T103000
DTEND;TZID=Europe/Madrid:20110525T113000
TRANSP:OPAQUE
SEQUENCE:1
END:VEVENT
END:VCALENDAR

anaribas

anaribas

2011-05-26 10:14

reporter   ~0002507

Done

anaribas

anaribas

2011-06-02 11:52

reporter   ~0002520

If the meeting has been created from lotus notes also happens. I send you the related ics

2011-06-02 11:52

 

lotusnotes-event-invitation.ics (1,344 bytes)   
BEGIN:VCALENDAR
X-LOTUS-CHARSET:UTF-8
VERSION:2.0
PRODID:-//Lotus Development Corporation//NONSGML Notes 8.5.2//EN_C
METHOD:REQUEST
BEGIN:VTIMEZONE
TZID:Europe/Madrid
BEGIN:STANDARD
DTSTART:19501029T020000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
RRULE:FREQ=YEARLY;BYMINUTE=0;BYHOUR=2;BYDAY=-1SU;BYMONTH=10
END:STANDARD
BEGIN:DAYLIGHT
DTSTART:19500326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
RRULE:FREQ=YEARLY;BYMINUTE=0;BYHOUR=2;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
END:VTIMEZONE
BEGIN:VEVENT
DTSTART;TZID="Europe/Madrid":20110603T100000
DTEND;TZID="Europe/Madrid":20110603T110000
TRANSP:OPAQUE
DTSTAMP:20110602T152815Z
SEQUENCE:0
ATTENDEE;ROLE=CHAIR;PARTSTAT=ACCEPTED;CN="Usuari Elena2/UPC"
 ;RSVP=FALSE:mailto:
ATTENDEE;ROLE=REQ-PARTICIPANT;PARTSTAT=NEEDS-ACTION;RSVP=TRUE
 :mailto:ana.ribas@upcnet.es
CLASS:PUBLIC
DESCRIPTION;ALTREP="CID:<FFFF__=4EBBF230DFC71AD38f9e8a93df938690918c4EB@>":
SUMMARY:Prueba reunión creada desde Lotus Notes
ORGANIZER;CN="Usuari Elena2/UPC";SENT-BY="mailto:":mailto:
UID:EE85EC49C5ABE1E8C12578A300549C43-Lotus_Notes_Generated
X-LOTUS-BROADCAST:FALSE
X-LOTUS-UPDATE-SEQ:1
X-LOTUS-UPDATE-WISL:$S:1;$L:1;$B:1;$R:1;$E:1;$W:1;$O:1;$M:1
X-LOTUS-NOTESVERSION:2
X-LOTUS-NOTICETYPE:I
X-LOTUS-APPTTYPE:3
X-LOTUS-CHILD-UID:EE85EC49C5ABE1E8C12578A300549C43
END:VEVENT
END:VCALENDAR

2011-06-02 11:52

 

reschedule-lotusnotes-event-invitation.ics (1,344 bytes)   
BEGIN:VCALENDAR
X-LOTUS-CHARSET:UTF-8
VERSION:2.0
PRODID:-//Lotus Development Corporation//NONSGML Notes 8.5.2//EN_C
METHOD:REQUEST
BEGIN:VTIMEZONE
TZID:Europe/Madrid
BEGIN:STANDARD
DTSTART:19501029T020000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
RRULE:FREQ=YEARLY;BYMINUTE=0;BYHOUR=2;BYDAY=-1SU;BYMONTH=10
END:STANDARD
BEGIN:DAYLIGHT
DTSTART:19500326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
RRULE:FREQ=YEARLY;BYMINUTE=0;BYHOUR=2;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
END:VTIMEZONE
BEGIN:VEVENT
DTSTART;TZID="Europe/Madrid":20110603T120000
DTEND;TZID="Europe/Madrid":20110603T130000
TRANSP:OPAQUE
DTSTAMP:20110602T153658Z
SEQUENCE:5
ATTENDEE;ROLE=CHAIR;PARTSTAT=ACCEPTED;CN="Usuari Elena2/UPC"
 ;RSVP=FALSE:mailto:
ATTENDEE;ROLE=REQ-PARTICIPANT;PARTSTAT=NEEDS-ACTION;RSVP=TRUE
 :mailto:ana.ribas@upcnet.es
CLASS:PUBLIC
DESCRIPTION;ALTREP="CID:<FFFF__=4EBBF230DFC6417F8f9e8a93df938690918c4EB@>":
SUMMARY:Prueba reunión creada desde Lotus Notes
ORGANIZER;CN="Usuari Elena2/UPC";SENT-BY="mailto:":mailto:
UID:EE85EC49C5ABE1E8C12578A300549C43-Lotus_Notes_Generated
X-LOTUS-BROADCAST:FALSE
X-LOTUS-UPDATE-SEQ:5
X-LOTUS-UPDATE-WISL:$W:1;$O:1;$M:1;$S:5;$B:5;$L:5;$E:5;$R:5
X-LOTUS-NOTESVERSION:2
X-LOTUS-NOTICETYPE:U
X-LOTUS-APPTTYPE:3
X-LOTUS-CHILD-UID:3CF409599B905D40C12578A30055C7EF
END:VEVENT
END:VCALENDAR
anaribas

anaribas

2011-06-10 03:53

reporter   ~0002562

Do you have an estimate of when it will be solved?

ludovic

ludovic

2011-07-05 10:00

administrator   ~0002653

Fixed: http://mtn.inverse.ca/revision/diff/eec300be835f03b3e7780d528e6c75977cf6254b/with/0a26aa3104394fc27aedec6025fb6d01075058b4

Issue History

Date Modified Username Field Change
2011-05-25 03:32 anaribas New Issue
2011-05-25 08:20 ludovic Note Added: 0002501
2011-05-26 04:54 anaribas File Added: horde-event-invitation.ics
2011-05-26 04:54 anaribas File Added: reschedule- horde-event-invitation.ics
2011-05-26 04:55 anaribas File Added: lightning-invite.ics
2011-05-26 04:55 anaribas File Added: reschedule-lightning-invite.ics
2011-05-26 10:14 anaribas Note Added: 0002507
2011-06-02 11:52 anaribas Note Added: 0002520
2011-06-02 11:52 anaribas File Added: lotusnotes-event-invitation.ics
2011-06-02 11:52 anaribas File Added: reschedule-lotusnotes-event-invitation.ics
2011-06-10 03:53 anaribas Note Added: 0002562
2011-06-20 16:17 ludovic Target Version => 1.3.8
2011-06-20 16:17 ludovic Status new => assigned
2011-06-20 16:17 ludovic Assigned To => ludovic
2011-07-05 10:00 ludovic Note Added: 0002653
2011-07-05 10:00 ludovic Status assigned => resolved
2011-07-05 10:00 ludovic Fixed in Version => 1.3.8
2011-07-05 10:00 ludovic Resolution open => fixed